Get Records
- GET
- /workspaces
- /:workspace
- /domains
- /:domain_id
- /records
- /:record_name
- /:type
Get one record by type
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/domains/:domain_id/records/:record_name/:type" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
Response examples
A Record
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-company/domains/4krmDRPw/records/example.com./A",
"html_url": "https://app.buddy.works/my-company/-/domain/4krmDRPw",
"name": "@",
"type": "A",
"values": [
"192.168.1.100",
"192.168.1.101"
],
"ttl": 300,
"routing": "simple"
}STATUS
200 OKCNAME Record
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-company/domains/4krmDRPw/records/blog.example.com./CNAME",
"html_url": "https://app.buddy.works/my-company/-/domain/4krmDRPw",
"name": "blog",
"type": "CNAME",
"values": [
"target.example.com."
],
"ttl": 3600,
"routing": "simple"
}STATUS
200 OKMX Record
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-company/domains/4krmDRPw/records/example.com./MX",
"html_url": "https://app.buddy.works/my-company/-/domain/4krmDRPw",
"name": "@",
"type": "MX",
"values": [
"10 mail1.example.com.",
"20 mail2.example.com."
],
"ttl": 3600,
"routing": "simple"
}STATUS
200 OKTXT Record
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-company/domains/4krmDRPw/records/example.com./TXT",
"html_url": "https://app.buddy.works/my-company/-/domain/4krmDRPw",
"name": "@",
"type": "TXT",
"values": [
"v=spf1 include:_spf.example.com ~all",
"google-site-verification=abc123def456ghi789jkl012"
],
"ttl": 300,
"routing": "simple",
"country": null,
"continent": null
}STATUS
200 OKGeolocation Record
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-company/domains/4krmDRPw/records/api.example.com./A",
"html_url": "https://app.buddy.works/my-company/-/domain/4krmDRPw",
"name": "api",
"type": "A",
"values": [
"192.168.1.100"
],
"ttl": 300,
"routing": "geolocation",
"country": {
"US": [
"192.168.1.101",
"192.168.1.102"
],
"DE": [
"192.168.1.103",
"192.168.1.104"
],
"JP": [
"192.168.1.105"
]
},
"continent": {
"Europe": [
"192.168.1.110",
"192.168.1.111"
],
"NorthAmerica": [
"192.168.1.112",
"192.168.1.113"
],
"Asia": [
"192.168.1.114"
]
}
}STATUS
200 OK